Agora C++ API Reference for All Platforms

Public Member Functions | List of all members
agora::rtc::IVideoMixerSourceEx Class Referenceabstract

Inherits agora::rtc::IVideoMixerSource.

## Public Member Functions
virtual | ~IVideoMixerSourceEx ()=default
virtual void | registerMixedFrameCallback (::rtc::VideoSinkInterface< webrtc::VideoFrame > *dataCallback)=0
virtual void | deRegisterMixedFrameCallback (::rtc::VideoSinkInterface< webrtc::VideoFrame > *dataCallback)=0
virtual void | onFrame (const std::string &uid, const webrtc::VideoFrame &frame)=0
virtual void | startMixing ()=0
virtual void | stopMixing ()=0
virtual bool | hasVideoTrack (const std::string &id)=0
virtual int | addVideoTrackLLApiInternal (const char *id, agora_refptr< IVideoTrack > track)=0
virtual int | removeVideoTrackLLApiInternal (const char *id, agora_refptr< IVideoTrack > track)=0
virtual int | setStreamLayoutLLApiInternal (const char *id, const MixerLayoutConfig &config, std::shared_ptr< int > result)=0
virtual int | addImageSourceLLApiInternal (const char *id, const MixerLayoutConfig &config, ImageType type, std::shared_ptr< int > result)=0
virtual int | delImageSourceLLApiInternal (const char *id)=0
virtual int | delStreamLayoutLLApiInternal (const char *id)=0
virtual int | clearLayoutLLApiInternal ()=0
virtual int | refreshLLApiInternal ()=0
virtual int | setBackgroundLLApiInternal (uint32_t width, uint32_t height, int fps, uint32_t color_rgba=0)=0
virtual int | setBackgroundLLApiInternal (uint32_t width, uint32_t height, int fps, const char *url)=0
virtual int | setRotationLLApiInternal (uint8_t rotation)=0
virtual int | getAvgMixerDelayLLApiInternal ()=0
virtual int | setMasterClockSourceLLApiInternal (const char *id=NULL)=0
Public Member Functions inherited from agora::rtc::IVideoMixerSource
virtual int | addVideoTrack (const char *id, agora_refptr< IVideoTrack > track, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | removeVideoTrack (const char *id, agora_refptr< IVideoTrack > track, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setStreamLayout (const char *id, const MixerLayoutConfig &config, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | delStreamLayout (const char *id, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | addImageSource (const char *id, const MixerLayoutConfig &config, ImageType type=kPng, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | delImageSource (const char *id, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | clearLayout (aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | refresh (aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setBackground (uint32_t width, uint32_t height, int fps, uint32_t color_argb=0, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setBackground (uint32_t width, uint32_t height, int fps, const char *url, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setRotation (uint8_t rotation, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | getAvgMixerDelay ()=0
virtual int | setMasterClockSource (const char *id=NULL, aosl_ref_t ares=AOSL_REF_INVALID)=0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Additional Inherited Members
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Constructor & Destructor Documentation

## ◆ ~IVideoMixerSourceEx()

virtual agora::rtc::IVideoMixerSourceEx::~IVideoMixerSourceEx | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ registerMixedFrameCallback()

virtual void agora::rtc::IVideoMixerSourceEx::registerMixedFrameCallback | ( | ::rtc::VideoSinkInterface< webrtc::VideoFrame > * | dataCallback | ) |
| pure virtual

## ◆ deRegisterMixedFrameCallback()

virtual void agora::rtc::IVideoMixerSourceEx::deRegisterMixedFrameCallback | ( | ::rtc::VideoSinkInterface< webrtc::VideoFrame > * | dataCallback | ) |
| pure virtual

## ◆ onFrame()

virtual void agora::rtc::IVideoMixerSourceEx::onFrame | ( | const std::string & | uid,
|  | const webrtc::VideoFrame & | frame
| ) |  |
| pure virtual

## ◆ startMixing()

virtual void agora::rtc::IVideoMixerSourceEx::startMixing | ( |  | ) |
| pure virtual

## ◆ stopMixing()

virtual void agora::rtc::IVideoMixerSourceEx::stopMixing | ( |  | ) |
| pure virtual

## ◆ hasVideoTrack()

virtual bool agora::rtc::IVideoMixerSourceEx::hasVideoTrack | ( | const std::string & | id | ) |
| pure virtual

## ◆ addVideoTrackLLApiInternal()

virtual int agora::rtc::IVideoMixerSourceEx::addVideoTrackLLApiInternal | ( | const char * | id,
|  | agora_refptr< IVideoTrack > | track
| ) |  |
| pure virtual

## ◆ removeVideoTrackLLApiInternal()

virtual int agora::rtc::IVideoMixerSourceEx::removeVideoTrackLLApiInternal | ( | const char * | id,
|  | agora_refptr< IVideoTrack > | track
| ) |  |
| pure virtual

## ◆ setStreamLayoutLLApiInternal()

virtual int agora::rtc::IVideoMixerSourceEx::setStreamLayoutLLApiInternal | ( | const char * | id,
|  | const MixerLayoutConfig & | config,
|  | std::shared_ptr< int > | result
| ) |  |
| pure virtual

## ◆ addImageSourceLLApiInternal()

virtual int agora::rtc::IVideoMixerSourceEx::addImageSourceLLApiInternal | ( | const char * | id,
|  | const MixerLayoutConfig & | config,
|  | ImageType | type,
|  | std::shared_ptr< int > | result
| ) |  |
| pure virtual

## ◆ delImageSourceLLApiInternal()

virtual int agora::rtc::IVideoMixerSourceEx::delImageSourceLLApiInternal | ( | const char * | id | ) |
| pure virtual

## ◆ delStreamLayoutLLApiInternal()

virtual int agora::rtc::IVideoMixerSourceEx::delStreamLayoutLLApiInternal | ( | const char * | id | ) |
| pure virtual

## ◆ clearLayoutLLApiInternal()

virtual int agora::rtc::IVideoMixerSourceEx::clearLayoutLLApiInternal | ( |  | ) |
| pure virtual

## ◆ refreshLLApiInternal()

virtual int agora::rtc::IVideoMixerSourceEx::refreshLLApiInternal | ( |  | ) |
| pure virtual

## ◆ setBackgroundLLApiInternal() [1/2]

virtual int agora::rtc::IVideoMixerSourceEx::setBackgroundLLApiInternal | ( | uint32_t | width,
|  | uint32_t | height,
|  | int | fps,
|  | uint32_t | color_rgba = `0`
| ) |  |
| pure virtual

## ◆ setBackgroundLLApiInternal() [2/2]

virtual int agora::rtc::IVideoMixerSourceEx::setBackgroundLLApiInternal | ( | uint32_t | width,
|  | uint32_t | height,
|  | int | fps,
|  | const char * | url
| ) |  |
| pure virtual

## ◆ setRotationLLApiInternal()

virtual int agora::rtc::IVideoMixerSourceEx::setRotationLLApiInternal | ( | uint8_t | rotation | ) |
| pure virtual

## ◆ getAvgMixerDelayLLApiInternal()

virtual int agora::rtc::IVideoMixerSourceEx::getAvgMixerDelayLLApiInternal | ( |  | ) |
| pure virtual

## ◆ setMasterClockSourceLLApiInternal()

virtual int agora::rtc::IVideoMixerSourceEx::setMasterClockSourceLLApiInternal | ( | const char * | id = `NULL` | ) |
| pure virtual